"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrimaryMetadataCreatorsAccountData = void 0;
const beet = __importStar(require("@metaplex-foundation/beet"));
const definedTypes = __importStar(require("../../types"));
const primaryMetadataCreatorsAccountDiscriminator = [66, 131, 48, 36, 100, 130, 177, 11];
class PrimaryMetadataCreatorsAccountData {
    constructor(creators) {
        this.creators = creators;
    }
    static fromArgs(args) {
        return new PrimaryMetadataCreatorsAccountData(args.creators);
    }
    static fromAccountInfo(accountInfo, offset = 0) {
        return PrimaryMetadataCreatorsAccountData.deserialize(accountInfo.data, offset);
    }
    static deserialize(buf, offset = 0) {
        return primaryMetadataCreatorsAccountDataStruct.deserialize(buf, offset);
    }
    static byteSize(args) {
        const instance = PrimaryMetadataCreatorsAccountData.fromArgs(args);
        return primaryMetadataCreatorsAccountDataStruct.toFixedFromValue({
            accountDiscriminator: primaryMetadataCreatorsAccountDiscriminator,
            ...instance,
        }).byteSize;
    }
    static async getMinimumBalanceForRentExemption(args, connection, commitment) {
        return connection.getMinimumBalanceForRentExemption(PrimaryMetadataCreatorsAccountData.byteSize(args), commitment);
    }
    serialize() {
        return primaryMetadataCreatorsAccountDataStruct.serialize({
            accountDiscriminator: primaryMetadataCreatorsAccountDiscriminator,
            ...this,
        });
    }
    pretty() {
        return {
            creators: this.creators,
        };
    }
}
exports.PrimaryMetadataCreatorsAccountData = PrimaryMetadataCreatorsAccountData;
const primaryMetadataCreatorsAccountDataStruct = new beet.FixableBeetStruct([
    ['accountDiscriminator', beet.uniformFixedSizeArray(beet.u8, 8)],
    ['creators', beet.array(definedTypes.creatorBeet)],
], PrimaryMetadataCreatorsAccountData.fromArgs, 'PrimaryMetadataCreatorsAccountData');
//# sourceMappingURL=PrimaryMetadataCreators.js.map