import { TokenAccount } from '@metaplex-foundation/mpl-core';
import { MasterEdition } from '@metaplex-foundation/mpl-token-metadata';
import { Connection, PublicKey } from '@solana/web3.js';
export declare const findVaultOwnerAddress: (mint: PublicKey, store: PublicKey) => Promise<[PublicKey, number]>;
export declare const findTreasuryOwnerAddress: (treasuryMint: PublicKey, sellingResource: PublicKey) => Promise<[PublicKey, number]>;
export declare const findTradeHistoryAddress: (wallet: PublicKey, market: PublicKey) => Promise<[PublicKey, number]>;
export declare const findPayoutTicketAddress: (market: PublicKey, funder: PublicKey) => Promise<[PublicKey, number]>;
export declare const findPrimaryMetadataCreatorsAddress: (metadata: PublicKey) => Promise<[PublicKey, number]>;
export declare const validateMembershipToken: (connection: Connection, me: MasterEdition, ta: TokenAccount) => Promise<boolean>;
