import { PublicKey } from '@solana/web3.js';
import { TransactionHandler } from '@metaplex-foundation/amman';
import { MetadataDataData } from '@metaplex-foundation/mpl-token-metadata';
declare type CreateMetadataParams = {
    transactionHandler: TransactionHandler;
    publicKey: PublicKey;
    editionMint: PublicKey;
    metadataData: MetadataDataData;
};
export declare function createMetadata({ transactionHandler, publicKey, editionMint, metadataData, }: CreateMetadataParams): Promise<{
    metadata: PublicKey;
    createTxDetails: import("@metaplex-foundation/amman").ConfirmedTransactionDetails;
}>;
export {};
