import test from 'tape';
import { PayerTransactionHandler } from '@metaplex-foundation/amman';
import { Connection, Keypair } from '@solana/web3.js';
import { CreateStoreInstructionArgs } from '../../src/generated/instructions';
declare type CreateStoreParams = {
    test: test.Test;
    transactionHandler: PayerTransactionHandler;
    payer: Keypair;
    connection: Connection;
    params: CreateStoreInstructionArgs;
};
export declare const createStore: ({ test, transactionHandler, payer, connection, params, }: CreateStoreParams) => Promise<Keypair>;
export {};
