import { Connection, Keypair, PublicKey } from '@solana/web3.js';
import { TransactionHandler } from '@metaplex-foundation/amman';
import { Creator } from '@metaplex-foundation/mpl-token-metadata';
declare type MintNFTParams = {
    transactionHandler: TransactionHandler;
    payer: Keypair;
    connection: Connection;
    creators?: Creator[];
};
export declare function mintNFT({ transactionHandler, payer, connection, creators }: MintNFTParams): Promise<{
    tokenAccount: Keypair;
    edition: PublicKey;
    editionBump: number;
    mint: Keypair;
    metadata: PublicKey;
}>;
export {};
