import { Connection, PublicKey } from '@solana/web3.js';
import { TransactionHandler } from '@metaplex-foundation/amman';
interface MintTokenToAccountParams {
    connection: Connection;
    payer: PublicKey;
    transactionHandler: TransactionHandler;
}
export declare const mintTokenToAccount: ({ connection, payer, transactionHandler, }: MintTokenToAccountParams) => Promise<{
    mint: import("@solana/web3.js").Keypair;
    mintAta: import("@solana/web3.js").Keypair;
}>;
export {};
