import { Connection, PublicKey, Transaction } from '@solana/web3.js';
interface BuyParams {
    connection: Connection;
    buyer: PublicKey;
    userTokenAccount: PublicKey;
    resourceMintMetadata: PublicKey;
    resourceMintEditionMarker: PublicKey;
    resourceMintMasterEdition: PublicKey;
    sellingResource: PublicKey;
    tradeHistory: PublicKey;
    tradeHistoryBump: number;
    market: PublicKey;
    marketTreasuryHolder: PublicKey;
    vaultOwner: PublicKey;
    vault: PublicKey;
    vaultOwnerBump: number;
    newMint: PublicKey;
    newMintEdition: PublicKey;
    newMintMetadata: PublicKey;
    newTokenAccount: PublicKey;
}
export declare const createBuyTransaction: ({ connection, buyer, userTokenAccount, resourceMintMetadata, resourceMintEditionMarker, resourceMintMasterEdition, sellingResource, tradeHistory, tradeHistoryBump, market, marketTreasuryHolder, vault, vaultOwner, vaultOwnerBump, newMint, newMintEdition, newMintMetadata, newTokenAccount, }: BuyParams) => Promise<{
    tx: Transaction;
}>;
export {};
